import request from '@/utils/request'

// 查询主要成员信息列表
export function listMembers(query) {
  return request({
    url: '/basicData/xcrMajorMembers/findByPage',
    method: 'get',
    params: query
  })
}

// 查询主要成员信息详细
export function getMembers(xhCodeId) {
  return request({
    url: '/basicData/xcrMajorMembers/' + xhCodeId,
    method: 'get'
  })
}

// 新增主要成员信息
export function addMembers(data) {
  return request({
    url: '/basicData/xcrMajorMembers',
    method: 'post',
    data: data
  })
}

// 修改主要成员信息
export function updateMembers(data) {
  return request({
    url: '/basicData/xcrMajorMembers',
    method: 'put',
    data: data
  })
}

// 删除主要成员信息
export function delMembers(xhCodeId) {
  return request({
    url: '/basicData/xcrMajorMembers/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delMembersBatch(ids) {
  return request.post('/basicData/xcrMajorMembers/delete',ids)
}
